<?php
/**
 * MachForm
 * 
 * © 2007–2025 Appnitro Software. All rights reserved.
 * 
 * This source code is proprietary and may not be copied, modified,
 * or distributed in any form without express written permission from Appnitro Software.
 * 
 * License information: https://www.machform.com/license-agreement/
 */
	require('config.php');
	require('lib/db-session-handler.php');
	require('includes/init-form.php');
	require('includes/db-core.php');
	require('includes/helper-functions.php');
	
	require('includes/theme-functions.php');
	
	$theme_id = (int) $_GET['theme_id'];
	
	$dbh = mf_connect_db();
	
	$css_content = mf_theme_get_css_content($dbh,$theme_id);
	
	header('Content-type: text/css');
	header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
	header("Expires: Sat, 26 Jul 1997 05:00:00 GMT");
	
	echo $css_content;
?>